Platform API · Users
Get an user details
GET/
Get the details of an user
Authorization
api_access_tokenheaderrequiredA platform app's token. Platform apps exist only on a dedicated instance, made in its super admin console. On Texa's shared hosting this API is not open to companies.
Path parameters
idintegerrequiredThe numeric ID of the user on the platform
Responses
200Success
idnumberaccess_tokenstringaccount_idnumberavailable_namestringavatar_urlstringconfirmedbooleandisplay_namestringmessage_signaturestringemailstringhmac_identifierstringinviter_idnumbernamestringproviderstringpubsub_tokenstringrolestringOne of: agent, administrator.
ui_settingsobjectuidstringtypestringcustom_attributesobjectAvailable for users who are created through platform APIs and has custom attributes associated.
accountsarray of objectaccounts[].idnumberaccounts[].namestringaccounts[].statusstringaccounts[].active_atstring (date-time)accounts[].rolestringOne of: administrator, agent.
accounts[].permissionsarray of stringaccounts[].availabilitystringaccounts[].availability_statusstringaccounts[].auto_offlinebooleanaccounts[].custom_role_idnumberaccounts[].custom_roleobject401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404The given user does not exist
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring